Order - Set Tags
curl --request PUT \
--url https://api.skulabs.com/order/set_tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"reason": "<string>",
"orders": [
{
"order_number": "<string>",
"store_id": "507f1f77bcf86cd799439011"
}
]
}
'import requests
url = "https://api.skulabs.com/order/set_tags"
payload = {
"tags": ["507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012"],
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"reason": "<string>",
"orders": [
{
"order_number": "<string>",
"store_id": "507f1f77bcf86cd799439011"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tags: ['507f1f77bcf86cd799439011', '507f1f77bcf86cd799439012'],
store_id: '507f1f77bcf86cd799439011',
order_number: '<string>',
reason: '<string>',
orders: [{order_number: '<string>', store_id: '507f1f77bcf86cd799439011'}]
})
};
fetch('https://api.skulabs.com/order/set_tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Order
Order - Set Tags
Replace all tags on one or more orders with a new set of tags.
PUT
/
order
/
set_tags
Order - Set Tags
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of tag IDs to set (ObjectId strings referencing the tag collection)
Example:
[
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
]
Store ID (use with order_number)
Example:
"507f1f77bcf86cd799439011"
Order number (use with store_id)
Reason for setting tags
Array of order references (alternative to store_id + order_number)
Show child attributes
Show child attributes
Response
Tags set on orders
Whether the operation succeeded
⌘I